#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-XML-DOM
Version		:	1.46
Release		:	17.0.10.rel%{?dist}
Summary		:	A perl module for building DOM Level 1 compliant document structures
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This module extends the XML::Parser module by Clark Cooper.
The XML::Parser module is built on top of XML::Parser::Expat,
which is a lower level interface to James Clark's expat library.

XML::DOM::Parser is derived from XML::Parser. It parses
XML strings or files and builds a data structure that conforms
to the API of the Document Object Model as described at
http://www.w3.org/TR/REC-DOM-Level-1.
See the XML::Parser manpage for other available features of
the XML::DOM::Parser class. Note that the 'Style' property
should not be used (it is set internally.)

The XML::Parser NoExpand option is more or less supported,
in that it will generate EntityReference objects whenever
an entity reference is encountered in character data.
I'm not sure how useful this is. Any comments are welcome.

As described in the synopsis, when you create an
XML::DOM::Parser object, the parse and parsefile methods
create an XML::DOM::Document object from the specified input.
This Document object can then be examined, modified and written
back out to a file or converted to a string.

When using XML::DOM with XML::Parser version 2.19 and up,
setting the XML::DOM::Parser option KeepCDATA to 1 will
store CDATASections in CDATASection nodes, instead of
converting them to Text nodes. Subsequent CDATASection
nodes will be merged into one. Let me know if this is a problem.

When using XML::Parser 2.27 and above, you can suppress
expansion of parameter entity references (e.g. %pent;)
in the DTD, by setting ParseParamEnt to 1 and ExpandParamEnt
to 0. See Hidden Nodes for details.

A Document has a tree structure consisting of Node objects.
A Node may contain other nodes, depending on its type. 
 Document may have Element, Text, Comment, and CDATASection
nodes. Element nodes may have Attr, Element, Text, Comment,
and CDATASection nodes. The other nodes may not have any child nodes.

This module adds several node types that are not part of
the DOM spec (yet.) These are: ElementDecl
(for <!ELEMENT ...> declarations), AttlistDecl
(for <!ATTLIST ...> declarations), XMLDecl
(for <?xml ...?> declarations) and AttDef
(for attribute definitions in an AttlistDecl.)
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/XML/DOM.pm
%{_datadir}/perl5/core_perl/XML/DOM/*.{pm,pod}
%{_datadir}/perl5/core_perl/XML/Handler/BuildDOM.pm
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
